import { ElementRef, EventEmitter, OnInit, AfterViewInit, OnDestroy, NgZone, OnChanges, SimpleChanges, DoCheck } from "@angular/core";
import { EChartOption } from "echarts";
import { EChartInitOption, EChartSetOptionConfig } from "./interface";
export declare class NgxEchartsComponent implements OnInit, AfterViewInit, OnChanges, DoCheck, OnDestroy {
    private el;
    private ngZone;
    theme: object | string;
    initOpts: EChartInitOption;
    option: EChartOption;
    group: string;
    setOptionConfig: EChartSetOptionConfig;
    loading: boolean;
    loadingType: string;
    loadingOpts: object;
    autoResize: boolean;
    onInit: EventEmitter<any>;
    onOptionChange: EventEmitter<any>;
    onClick: EventEmitter<any>;
    onDblClick: EventEmitter<any>;
    onMouseDown: EventEmitter<any>;
    onMouseMove: EventEmitter<any>;
    onMouseUp: EventEmitter<any>;
    onMouseOver: EventEmitter<any>;
    onMouseOut: EventEmitter<any>;
    onGlobalOut: EventEmitter<any>;
    onContextMenu: EventEmitter<any>;
    private echartsInstance;
    private offsetWidth;
    private offsetHeight;
    private resizeSubject$;
    private resizeSubscription$;
    private host;
    constructor(el: ElementRef, ngZone: NgZone);
    windowResize(event: Event): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    ngOnDestroy(): void;
    private init();
    private dispose();
    private setOption();
    private toggleGroup(change);
    private toggleLoading();
    private buildEvent();
    private buildResizeSubscribe();
    private resize();
}
